### Method

# FwupdPlugin Archive iterate

#### Declaration [src]

    gboolean
    fu_archive_iterate (
      FuArchive* self,
      FuArchiveIterateFunc callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Iterates over the archive contents, calling the given function for each of the files found. If any `callback` returns `FALSE` scanning is aborted.

Available since: | 1.3.4

#### Parameters

`callback` | `FuArchiveIterateFunc`
| A `FuArchiveIterateFunc`.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| True if no `callback` returned FALSE.